<?php

namespace Teknisa\FIN\Factories;

use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;

  /*
   * Class relatorioCustomizavelCurvaAbcClientesFactory 
   * @package Teknisa\FIN\Factory
   */
class Rec57001RelatorioConciliacaoCaixaFactory{

    protected $connection;
    protected $entityManager;

    public function __construct(\Doctrine\ORM\EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
        $this->entityManager = $entityManager;
    }
    
    public function execProcRecConCaixa($param) {

        try {
            $procedure = new StoredProcedure($this->entityManager->getConnection(), 'GERA_REL_CONCCAIXA');
            $procedure->addParam(new Param('P_NRSEQCONCTEMP',  Param::PARAM_INPUT,   $param["P_NRSEQCONCTEMP"], Param::PARAM_TYPE_STR));
            $procedure->addParam(new Param('P_CDEMPRESA',      Param::PARAM_INPUT,   $param["P_CDEMPRESA"],     Param::PARAM_TYPE_STR));
            $procedure->addParam(new Param('P_DATAINICIAL',    Param::PARAM_INPUT,   $param["P_DATAINICIAL"],   Param::PARAM_TYPE_STR));
            $procedure->addParam(new Param('P_DATAFINAL',      Param::PARAM_INPUT,   $param["P_DATAFINAL"],     Param::PARAM_TYPE_STR));
            $outPut   = $procedure->execute($param);
        } catch(\Exception $e) {
            throw $e;
        }
    }
}