<?php

namespace Teknisa\FIN\Modules\ContaPagar\Factory;

use Doctrine\ORM\EntityManager;


/**
 * Class 
 * @package Teknisa\FIN\Modules\ContaPagar\Factory
 */
class  Pag20000ControleRateioContasPagarFactory{

    protected $entityManager;

    /**
     * @param EntityManager $entityManager
     */
    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
        $this->entityManager = $entityManager;
    }
    
    public function insereRateio( $nrorg, $cdfilial, $nrlanctonf, $nrseqvenpag, $nrparcelapag, $cdcliente, $cdfiratctpag, $vrratccctpag) {
		$sql = "INSERT INTO RATCTPAGARCLI
				  (CDFILIAL, NRLANCTONF, NRSEQVENPAG, NRPARCELAPAG, CDCLIENTE, CDFIRATCTPAG, VRRATCCCTPAG, NRORG)
				VALUES
				  (:CDFILIAL, :NRLANCTONF, :NRSEQVENPAG, :NRPARCELAPAG, :CDCLIENTE, :CDFIRATCTPAG, :VRRATCCCTPAG, :NRORG)";

		$params = array("CDFILIAL"=>$cdfilial,
						"NRLANCTONF"=>$nrlanctonf,
						"NRSEQVENPAG"=>$nrseqvenpag,
						"NRPARCELAPAG"=>$nrparcelapag,
						"CDCLIENTE"=>$cdcliente,
						"CDFIRATCTPAG"=>$cdfiratctpag,
						"VRRATCCCTPAG"=>$vrratccctpag,
						"NRORG"=>$nrorg);
		$query = $this->connection->prepare($sql);
		$query->execute($params);
	}
    
    public function updateRateio($nrorg, $cdfilial, $nrlanctonf, $nrseqvenpag, $nrparcelapag, $cdcliente, $cdfiratctpag, $vrratccctpag){
    	$params = array("CDFILIAL"=>$cdfilial,
						"NRLANCTONF"=>$nrlanctonf,
						"NRSEQVENPAG"=>$nrseqvenpag,
						"NRPARCELAPAG"=>$nrparcelapag,
						"CDCLIENTE"=>$cdcliente,
						"CDFIRATCTPAG"=>$cdfiratctpag,
						"VRRATCCCTPAG"=>$vrratccctpag,
						"NRORG"=>$nrorg);
						
    	$sql = "UPDATE RATCTPAGARCLI 
            SET VRRATCCCTPAG = :VRRATCCCTPAG
            WHERE CDFILIAL = :CDFILIAL
            AND NRLANCTONF = :NRLANCTONF
            AND NRSEQVENPAG = :NRSEQVENPAG
            AND NRPARCELAPAG = :NRPARCELAPAG
            AND CDFIRATCTPAG = :CDFIRATCTPAG
            AND CDCLIENTE = :CDCLIENTE
            AND NRORG = :NRORG";
        
        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }
    
    public function deleteRateio($nrorg, $cdfilial, $nrlanctonf, $nrseqvenpag, $nrparcelapag, $cdcliente, $cdfiratctpag, $vrratccctpag){
    	$params = array("CDFILIAL"=>$cdfilial,
						"NRLANCTONF"=>$nrlanctonf,
						"NRSEQVENPAG"=>$nrseqvenpag,
						"NRPARCELAPAG"=>$nrparcelapag,
						"CDCLIENTE"=>$cdcliente,
						"CDFIRATCTPAG"=>$cdfiratctpag,
						"VRRATCCCTPAG"=>$vrratccctpag,
						"NRORG"=>$nrorg);
						
    	$sql = "DELETE FROM RATCTPAGARCLI 
            WHERE VRRATCCCTPAG = :VRRATCCCTPAG
            AND CDFILIAL = :CDFILIAL
            AND NRLANCTONF = :NRLANCTONF
            AND NRSEQVENPAG = :NRSEQVENPAG
            AND NRPARCELAPAG = :NRPARCELAPAG
            AND CDFIRATCTPAG = :CDFIRATCTPAG
            AND CDCLIENTE = :CDCLIENTE
            AND NRORG = :NRORG";
        
        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }
    
}