package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;

public class MainPage extends PageBase {
    //Mapping
    By usernameLoginInfoTextArea = By.xpath("//div[@class='zh-header-info']");
    By reportIssueLink = By.xpath("//a[@href='/bug_report_page.php']");

    By menuPrincipal = By.xpath("//div[@class='bars']");
    //By menuPrincipal = By.id("splash");
    By displayPagamentosVencidos = By.xpath("//span[text() = 'Pagamentos - Vencidos']");
    By menuFinanceiro = By.xpath("//span[text() = 'Financeiro']");
    By menuFinanceiro_TitulosAPagar = By.xpath("//span[text() = 'Títulos a Pagar']");
    By menuFinanceiro_TitulosAPagar_Operacoes = By.xpath("//span[text() = 'Operações']");
    By menuFinanceiro_TitulosAPagar_Operacoes_TitulosAPagar = By.xpath("//span[text() = 'Títulos a Pagar/Pagos']");

    By menuFinanceiro_ControleBancario = By.xpath("//span[text() = 'Controle Bancário']");
    By menuFinanceiro_MovimentacaoBancaria = By.xpath("//span[text() = 'Movimentação Bancária']");
    By menuFinanceiro_TipoDeDespesas = By.xpath("//*[@class='menu-link']//span[text() = 'Tipo de Despesas']");
    By menuFinanceiro_TitulosAReceber = By.xpath("//span[text() = 'Títulos a Receber']");
    By menuFinanceiro_TitulosAReceber_Operacoes = By.xpath("//span[text() = 'Operações']");
    By menuFinanceiro_TitulosAReceber_Operacoes_TitulosAReceberRecebidos = By.xpath("//span[text() = 'Títulos a Receber/Recebidos']");

    By loadingWait = By.xpath("//*[@class='zh-background-loading ng-scope']//span[@class='zh-loading-icon']");

    //Actions
    public String retornaUsernameDasInformacoesDeLogin(){
        return getText(usernameLoginInfoTextArea);
    }

    public void clicarEmReportIssue(){
        click(reportIssueLink);
    }

    public void clicarEmMenuPrincipal(){
        waitForElement(displayPagamentosVencidos);
        waitForElement(usernameLoginInfoTextArea);
        click(menuPrincipal);
    }

    public void clicarEmFinanceiro(){
        click(menuFinanceiro);
    }

    //controle bancário
    public void clicarEmControleBancario(){
        click(menuFinanceiro_ControleBancario);
    }

    public void clicarEmMovimentacaoBancaria(){
        click(menuFinanceiro_MovimentacaoBancaria);
    }

    public void clicarEmTipoDespesa(){
        click(menuFinanceiro_TipoDeDespesas);
    }

    //titulos a pagar
    public void clicarEmTitulosAPagar(){click(menuFinanceiro_TitulosAPagar);}
    public void clicarEmOperacoes(){click(menuFinanceiro_TitulosAPagar_Operacoes);}
    public void clicarEmTitulosAPagarPagos(){click(menuFinanceiro_TitulosAPagar_Operacoes_TitulosAPagar);}

    public void clicarEmTitulosAReceber (){
        click(menuFinanceiro_TitulosAReceber);
    }
    public void clicarEmOperacoesRec(){
        click(menuFinanceiro_TitulosAReceber_Operacoes);
    }
    public void clicarEmTitulosAReceberRecebidos(){
        click(menuFinanceiro_TitulosAReceber_Operacoes_TitulosAReceberRecebidos);
    }

}
