package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;

public class ApuracaoImpostoICMSPage extends PageBase {
    // Fitro
    By mensagemApuraImp = By.xpath("//*[.='OK']");
    By filtroApuracao = By.xpath("//div[@class=\"new-select input-text form-input-margin-bottom mousetrap form-control zh-text-align-{{field.align || 'left'}} ng-pristine ng-untouched ng-valid\"]");
    By filtroApuracaoEst = By.xpath("//*[@data-value='1']");
    By filtroEmpresa = By.xpath("//span[@class=\"zh-icon zh-icon-search zh-icon-no-border\"]");
    By filtroEmpresaHela = By.xpath("//div[@data-ng-repeat=\"rowIndex in filtered = controller.getVisibleRowCount()\"]");
    By filtroImposto = By.xpath("//*[@id=\"DSIMPOSTONFE\"]//*[@class=\"zh-icon zh-icon-search zh-icon-no-border\"]");
    By filtroImpostoIcms = By.xpath("//div[@class=\"td zh-standard-column  grid-align-left\"]");
    By filtroInscricaoEst = By.xpath("//*[@id=\"CDINSCESTA\"]//*[@class=\"zh-icon zh-icon-search zh-icon-no-border\"]");
    By filtroInscricaoEstAux = By.xpath("//div[@class=\"tr cell1\"]");


    By filtroAplicarFiltro = By.xpath("//span[text() = 'Aplicar filtro'][1]");

    By adicionarMapa = By.xpath("//a[@data-zh-title-tooltip = 'Adicionar (F2)']");

    By nomeMapaIpi = By.id("NMMAPAAPUR");

    By salvarMapaapurac = By.xpath("//div[@id='footer']//span[text() = 'Salvar']");


    By acoes = By.xpath("//span[@data-zh-bind-translate=\"'Actions'\"]");

    By apurar = By.xpath("//span[text() = 'Apurar']");

    By MensagemOk = By.xpath("//span[@data-ng-bind=\"button.label\"]");

    By AbaDeDetalhamento = By.xpath("//*[text() = 'Detalhamento']");

    By BotaoOutrosCreditos = By.xpath("//div[@id=\"span-field-BUTOUTCRED\"]");

    By BotaoEstornoDebitos = By.xpath("//div[@id=\"span-field-BUTESTDEB\"]//span[@class=\"zh-icon zh-icon-list\"]");

    By BotaoOutrosDebitos = By.xpath("//div[@id=\"span-field-BUTOUTDEB\"]//span[@class=\"zh-icon zh-icon-list\"]");

    By BotaoEstornoCredito = By.xpath("//div[@id=\"span-field-BUTESTCRED\"]//span[@class=\"zh-icon zh-icon-list\"]");

    By BotaoCreditoAnterior = By.xpath("//div[@id=\"span-field-BUTCREDANT\"]//span[@class=\"zh-icon zh-icon-list\"]");

    By BotaoDeducoes = By.xpath("//div[@id=\"span-field-BUTDEDU\"]//span[@class=\"zh-icon zh-icon-list\"]");

    By BotaoDebitosEspeciais = By.xpath("//div[@data-zh-id=\"632245607761700886446\"]//span[@class=\"zh-icon zh-icon-list\"]");

    By BotaoDiferencaAliquota = By.xpath("//div[@data-zh-id=\"63224560729646283501016\"]//span[@class=\"zh-icon zh-icon-list\"]");

    By BotaoValoresInformativos = By.xpath("//div[@data-zh-id=\"63224560788226635449\"]//span[@class=\"zh-icon zh-icon-list\"]");

    By CampoSequencial = By.id("NRSEQITMAPR");

    By Descricao = By.id("DSITEMMAPR");

    By ValorCredito = By.id("VRITEMMAPR");

    By OutrosValores = By.id("VROUTROSITMAPR");

    By Salvar = By.xpath("//span[text() = 'Salvar']");

    By Adicionar = By.xpath("//div[@class=\"zh-test-box\"]");

    By Voltar = By.xpath("//span[text() = 'Voltar']");

    By selecionarmapaapurac = By.xpath("//span[text() = 'Apuração ICMS']");

    By excluir = By.xpath("//*[@data-zh-title-tooltip=\"Excluir (Ctrl + D)\"]");

    By sim = By.xpath("//span[text() = 'Sim']");

    By ValorCreditoAnterior = By.xpath("//*[@zh-id=\"63224560725181379681242\"]");

    By loadingWait = By.xpath("//*[@class='zh-background-loading ng-scope']//span[@class='zh-loading-icon']");

    public void clicarOkMsgApuraImp(){
        click(mensagemApuraImp);
    }

    public void clicarEmTipodeapuracao(){
        click(filtroApuracao); click(filtroApuracaoEst);
    }

    public void clicarEmEmpresa(){
        click(filtroEmpresa); click(filtroEmpresaHela);
    }

    public void clicarEmImposto(){
        click(filtroImposto); click(filtroImpostoIcms);
    }

    public void clicarEmInscricaoEstadual(){
        click(filtroInscricaoEst); click(filtroInscricaoEstAux);
    }

    public void clicarAplicarFiltro(){
        click(filtroAplicarFiltro);
    }

    public void clicarAdicionarMapa() {
        waitForVisibilityOfElementLocated(loadingWait);
        waitForInvisibilityOfElementLocated(loadingWait);
        click(adicionarMapa);
    }

    public void preencherNomedomapa(String nomedomapa){
        click(nomeMapaIpi); sendKeys(nomeMapaIpi, nomedomapa);
    }


    public void clicarsalvarMapa(){
        click(salvarMapaapurac);
    }

    public void clicarEmAcoes(){
        click(acoes);
    }

    public void clicarEmApurar(){
        click(apurar);
    }

    public void clicarOk(){
        click(MensagemOk);
    }

    public void clicarAbaDetalhamento(){
        click(AbaDeDetalhamento);
    }

    public void clicarBotaoOutrosCreditos(){
        click(BotaoOutrosCreditos);
    }

    public void clicarBotaoEstornosDebitos(){
        click(BotaoEstornoDebitos);
    }

    public void clicarBotaoOutrosDebitos(){
        click(BotaoOutrosDebitos);
    }

    public void clicarBotaoEstornoCredito(){
        click(BotaoEstornoCredito);
    }

    public void clicarBotaoCreditoAnterior(){
        click(BotaoCreditoAnterior);
    }

    public void clicarBotaoDeducoes(){
        click(BotaoDeducoes);
    }

    public void clicarBotaoDebitosEspeciais(){
        click(BotaoDebitosEspeciais);
    }

    public void clicarBotaoDiferencaAliquota(){
        click(BotaoDiferencaAliquota);
    }

    public void clicarBotaoValoresInformativos(){
        click(BotaoValoresInformativos);
    }

    public void preencherCampoSequencial(String CampoSeq){
        click(CampoSequencial); sendKeys(CampoSequencial, CampoSeq);
    }

    public void preencherDescricao(String Desc) {
        click(Descricao); sendKeys(Descricao, Desc);
    }

    public void preencherValorCredito(String VrCred) {
        click(ValorCredito); sendKeys(ValorCredito, VrCred);
    }

    public void preencherOutrosValores(String OutrosVlr) {
        click(OutrosValores); sendKeys(OutrosValores, OutrosVlr);
    }

    public void clicarEmSalvar(){
        click(Salvar);
    }

    public void clicarEmAdicionar(){
        click(Adicionar);
    }

    public void clicarEmVoltar(){
        click(Voltar);
    }

    public void clicarEmMapaApuracao(){
        click(selecionarmapaapurac);

    }

    public void clicarEmExcluir(){
        click(excluir);
    }

    public void clicarEmSim(){
        click(sim);
    }

    public void preencherCreditoanterior(String ValorCredAnterior){
        click(ValorCreditoAnterior); sendKeys(ValorCreditoAnterior, ValorCredAnterior);}
}