package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;
import org.testng.Assert;

import java.util.concurrent.TimeUnit;


public class FormaDePagamentoPage extends PageBase {

    By MENU = By.xpath("//div[@class='bars']");
    By PARAMETRIZACAO = By.xpath("//span[contains(text(),'Parametrização')]");
    By FINANCEIRO = By.xpath("//li[@class='menu-item closed sub-menu-item has-child visible']//span[@class='menu-title ng-binding has-submenu'][normalize-space()='Financeiro']");
    By FormaDePagamento = By.xpath("/html/body/span/section/section/div[2]/section[1]/div/aside/div[2]/nav/ul/li[1]/ul/li[11]/ul/li[8]/ul/li[23]/span/span[2]");
    By Inicio = By.xpath("//*[@id=\"header\"]/div/div[2]/div[1]/a/span");

    By AplicarFiltro = By.cssSelector("#footer > div.zh-footer-right > ul > li > a > span");

    By BotaoAdicionarFormaDePagamento = By.cssSelector("#footer > div.zh-footer-center > ul > li > a > div");

    By Codigo = By.cssSelector("#CDFORMPGTO");
    By Descricao = By.cssSelector("#NMFORMPGTO");

    By DataReferencia = By.xpath("/html/body/span/section/section/div[2]/section[3]/div/div[4]/section/section/div/section/div/form/section/div/div[2]/div[1]/div/div[2]");
    By OpcaoDataDeEmissaoDaNFInclusive = By.xpath("/html/body/span/section/section/div[2]/section[3]/div/div[4]/section/section/div/section/div/form/section/div/div[2]/div[1]/div/div[2]/ul/li[1]");

    By IntervaloDataReferencia = By.xpath("/html/body/span/section/section/div[2]/section[3]/div/div[4]/section/section/div/section/div/form/section/div/div[2]/div[2]/div/div[2]");
    By OpcaoDiaDeReferencia = By.xpath("/html/body/span/section/section/div[2]/section[3]/div/div[4]/section/section/div/section/div/form/section/div/div[2]/div[2]/div/div[2]/ul/li[1]");

    By ConsiderarDiasUteis = By.xpath("/html/body/span/section/section/div[2]/section[3]/div/div[4]/section/section/div/section/div/form/section/div/div[3]/div[1]/div/div[2]");
    By OpcaoSimConsiderarDiasUteis = By.xpath("/html/body/span/section/section/div[2]/section[3]/div/div[4]/section/section/div/section/div/form/section/div/div[3]/div[1]/div/div[2]/ul/li[1]");

    By Periodo = By.xpath("/html/body/span/section/section/div[2]/section[3]/div/div[4]/section/section/div/section/div/form/section/div/div[3]/div[2]/div/div[2]");
    By OpcaoPorDiaDoMes = By.xpath("/html/body/span/section/section/div[2]/section[3]/div/div[4]/section/section/div/section/div/form/section/div/div[3]/div[2]/div/div[2]/ul/li[1]");

    By Salvar = By.xpath("//*[@id=\"footer\"]/div[3]/ul/li/a/span");

    By Opcao25 = By.xpath("//*[@id=\"grid-15868943374170126843228\"]/div[2]/div/div[11]/div[1]/span");

    By AbaPeriodoDePagamento = By.xpath("/html/body/span/section/section/div[2]/section[3]/div/div[3]/section/header/div/div/ul/li[2]/label/a");

    By DiaInicialDoPeriodo = By.cssSelector("#NRDIAINIPGTO");

    By DiaFinalDoPeríodo2 = By.cssSelector("#NRDIAFINPGTO");

    By MesDePagamento = By.xpath("/html/body/span/section/section/div[2]/section[3]/div[2]/div[4]/section/section/div/section/div/form/section/div/div[2]/div[1]/div/div[2]");
    By OpcaoMesDePagamento = By.xpath("/html/body/span/section/section/div[2]/section[3]/div[2]/div[4]/section/section/div/section/div/form/section/div/div[2]/div[1]/div/div[2]/ul/li[1]");

    By DiaDePagamento = By.cssSelector("#NRDIAPGTOVAR");

    By NumeroDeMeses = By.cssSelector("#NRNUMMESPGTO");

    By DiaSemana = By.xpath("/html/body/span/section/section/div[2]/section[3]/div[2]/div[4]/section/section/div/section/div/form/section/div/div[3]/div[2]/div/div[2]");
    By OpcaoDomigo = By.xpath("/html/body/span/section/section/div[2]/section[3]/div[2]/div[4]/section/section/div/section/div/form/section/div/div[3]/div[2]/div/div[2]/ul/li[1]");

    By ContaCadastrada = By.xpath("//*[text() = 'Conta de Teste']");
    By BotaoEditarFormaDePagamento = By.cssSelector("#footer > div.zh-footer-center > ul > li:nth-child(1) > a > div");

    By OpcaoAbaPeriodoPagamento = By.cssSelector("#grid-15868943373126685352229 > div.body > div > div > div:nth-child(6) > span");

    By BotaoExcluir = By.cssSelector("#footer > div.zh-footer-center > ul > li:nth-child(2) > a > span.zh-action-label.ng-binding");

    By OpcaoSim = By.xpath("/html/body/span/section/section/div[2]/aside[1]/aside/section/footer/button[1]/span");

    By BotaoVoltar = By.xpath("//*[@id=\"footer\"]/div[1]/ul/li/a/span[2]");

    public void navegarParaFormaDePagamento() {
        waitForElement(Inicio);
        click(MENU);
        click(PARAMETRIZACAO);
        click(FINANCEIRO);
        click(FormaDePagamento);

    }

    public void AdicionarFormaDePagamentoNovo(String CodigoInformado, String DescricaoInformado) {
        waitForElement(AplicarFiltro);
        click(AplicarFiltro);
        click(BotaoAdicionarFormaDePagamento);
        click(Codigo);
        clear(Codigo);
        sendKeys(Codigo, CodigoInformado);

        click(Descricao);
        clear(Descricao);
        sendKeys(Descricao, DescricaoInformado);

        click(DataReferencia);
        click(OpcaoDataDeEmissaoDaNFInclusive);

        click(IntervaloDataReferencia);
        click(OpcaoDiaDeReferencia);

        click(ConsiderarDiasUteis);
        click(OpcaoSimConsiderarDiasUteis);

        click(Periodo);
        click(OpcaoPorDiaDoMes);

        click(Salvar);
    }

    public void AbaPeriodoDePagamento(String NumeroDiaInicialDoPeriodo, String NumeroDiaFinalDoPeríodo4, String NumeroDiaDePagamento, String ValorNumeroDeMeses) {

        //Aba Periodo de Pagamento
        click(ContaCadastrada);
        click(AbaPeriodoDePagamento);
        click(BotaoAdicionarFormaDePagamento);


        waitForElement(DiaInicialDoPeriodo);
        click(DiaInicialDoPeriodo);
        clear(DiaInicialDoPeriodo);
        sendKeys(DiaInicialDoPeriodo, NumeroDiaInicialDoPeriodo);

        waitForElement(DiaFinalDoPeríodo2);
        click(DiaFinalDoPeríodo2);
        sendKeys(DiaFinalDoPeríodo2, NumeroDiaFinalDoPeríodo4);

        click(MesDePagamento);
        click(OpcaoMesDePagamento);

        waitForElement(DiaDePagamento);
        click(DiaDePagamento);
        clear(DiaDePagamento);
        sendKeys(DiaDePagamento, NumeroDiaDePagamento);

        click(NumeroDeMeses);
        //clear(NumeroDeMeses);
        sendKeys(NumeroDeMeses, ValorNumeroDeMeses);

        click(DiaSemana);
        click(OpcaoDomigo);

        click(Salvar);


    }

    public void EditarFormaDePagamento(String DescricaoInformado, String ValorNumeroDeMeses) {

        click(ContaCadastrada);
        click(BotaoEditarFormaDePagamento);
        click(Descricao);
        clear(Descricao);
        sendKeys(Descricao, DescricaoInformado);
        click(Salvar);

        click(AbaPeriodoDePagamento);
        click(OpcaoAbaPeriodoPagamento);
        click(BotaoEditarFormaDePagamento);

        click(NumeroDeMeses);
        //clear(NumeroDeMeses);
        sendKeys(NumeroDeMeses, ValorNumeroDeMeses);

        click(Salvar);




    }



      public void ExcluirPeriodo(){

          click(BotaoVoltar);
          click(ContaCadastrada);
          waitForElement(BotaoExcluir);
          click(BotaoExcluir);
          click(OpcaoSim);


      }





    public void AlertaUsuario() throws InterruptedException {
        this.driver.manage().timeouts().implicitlyWait(1, TimeUnit.MINUTES);
        driver.findElement(By.cssSelector("body > span > section > section > div.default-window > aside:nth-child(5) > aside > section > footer > button:nth-child(1)")).click();
    }

}






