package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.ApuracaoDeImpostoFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.pages.ApuracaoDeImpostoPage;
import com.javaseleniumtemplate.pages.LoginPage;
import com.javaseleniumtemplate.pages.MainPage;
import org.testng.Assert;
import org.testng.annotations.Test;

public class ApuracaoDeImposto extends TestBase {
    // Objetos

    MainPage mainPage;
    LoginPage loginPage;
    MainFlows MainFlows;
    ApuracaoDeImpostoFlows ApuracaoDeImpostoFlows;
    ApuracaoDeImpostoPage ApuracaoDeImpostoPage;

    // Teste

    @Test
    public void efetuarLoginComSucesso() throws InterruptedException {
        //Objetos Instanciados

        mainPage = new MainPage();
        loginPage = new LoginPage();
        MainFlows = new MainFlows();
        ApuracaoDeImpostoFlows = new ApuracaoDeImpostoFlows();
        ApuracaoDeImpostoPage =  new ApuracaoDeImpostoPage();

        // Dados - Login
        String usuario = "operador24@AUTOMACAO_2184.com";
        String senha = "apresentacao";

        // Dados - Filtro Da Tela
        String tipodeapuracao = "Estadual";
        String empresa = "HELA INGREDIENTES BRASIL";
        String imposto = "00 - ICMS";
        String inscricaoestadual = "148685946116";

        // Dados - Inserção do Mapa de Apuração
        String nomedomapa = "Apuração de ICMS";
        String datafinal = "31/01/2021";

        // ..........Teste Da Tela..........

        // !!!! LOGIN !!!!

        loginPage.preenhcerUsuario(usuario);
        loginPage.preencherSenha(senha);
        loginPage.clicarEmLogin();

        // !!! MENU !!!

        MainFlows.navegarParaApuracaoDeImposto();

        /// !!! MENSAGEM DE OK !!!

        ///   ApuracaoDeImpostoPage.clicarOkMsgApuraImp();

        // !!! FILTRO DE APURAÇÃO !!!

        ApuracaoDeImpostoPage.clicarEmTipodeapuracao();
        ApuracaoDeImpostoPage.clicarEmEmpresa();
        ApuracaoDeImpostoPage.clicarEmImposto();
        ApuracaoDeImpostoPage.clicarEmInscricaoEstadual();
        ApuracaoDeImpostoPage.clicarAplicarFiltro();

        // !!! ADICIONAR MAPA !!!

        ApuracaoDeImpostoPage.clicarAdicionarMapa();

        // !!! CRIANDO MAPA DE APURAÇÃO !!!

        ApuracaoDeImpostoPage.preencherNomedomapa(nomedomapa);
        ApuracaoDeImpostoPage.clicarsalvarMapa();

        ApuracaoDeImpostoPage.clicarEmMapaApuracao();
    }
}
