package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.ApuracaoImpostoIPIFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.pages.ApuracaoImpostoIPIPage;
import com.javaseleniumtemplate.pages.LoginPage;
import com.javaseleniumtemplate.pages.MainPage;
import org.testng.Assert;
import org.testng.annotations.Test;

public class ApuracaoImpostoIPI extends TestBase {

    // Objetos

    MainPage mainPage;
    LoginPage loginPage;
    MainFlows MainFlows;
    ApuracaoImpostoIPIFlows ApuracaoImpostoIPIFlows;
    ApuracaoImpostoIPIPage ApuracaoImpostoIPIPage;

    // Teste

    @Test
    public void efetuarLoginComSucesso() throws InterruptedException {

        //Objetos Instanciados

        mainPage = new MainPage();
        loginPage = new LoginPage();
        MainFlows = new MainFlows();
        ApuracaoImpostoIPIFlows = new ApuracaoImpostoIPIFlows();
        ApuracaoImpostoIPIPage =  new ApuracaoImpostoIPIPage();

        // Dados - Login

        String usuario = "operador24@AUTOMACAO_2184.com";
        String senha = "apresentacao";


        // Dados - Filtro Da Tela

        String tipodeapuracao = "Federal";
        String empresa = "HELA INGREDIENTES BRASIL";
        String imposto = "10 - IPI";
        String inscricaoestadual = "148685946116";


        // Dados - Inserção do Mapa de Apuração

        String nomedomapa = "Apuração de IPI";
        String datafinal = "31/01/2021";

        // ..........Teste Da Tela..........


        // !!!! LOGIN !!!!

        loginPage.preenhcerUsuario(usuario);
        loginPage.preencherSenha(senha);
        loginPage.clicarEmLogin();


        // !!! MENU !!!

        MainFlows.navegarParaApuracaoDeImposto();


        // !!! FILTRO DE APURAÇÃO !!!

        ApuracaoImpostoIPIPage.clicarEmTipodeapuracao();
        ApuracaoImpostoIPIPage.clicarEmEmpresa();
        ApuracaoImpostoIPIPage.clicarEmImposto();
        ApuracaoImpostoIPIPage.clicarAplicarFiltro();


        // !!! ADICIONAR MAPA !!!

        ApuracaoImpostoIPIPage.clicarAdicionarMapa();


        // !!! CRIANDO MAPA DE APURAÇÃO !!!

        ApuracaoImpostoIPIPage.preencherNomedomapa(nomedomapa);
        ApuracaoImpostoIPIPage.clicarsalvarMapa();


        // !!! APURAÇÃO DO MAPA !!!

        ApuracaoImpostoIPIPage.clicarEmMapaApuracao();
        ApuracaoImpostoIPIPage.clicarEmAcoes();
        ApuracaoImpostoIPIPage.clicarEmApurar();
        ApuracaoImpostoIPIPage.clicarOk();


        // !!! BLOQUEAR MAPA !!!

        ApuracaoImpostoIPIPage.clicarEmAcoes();
        ApuracaoImpostoIPIPage.clicarEmBloquear();
        ApuracaoImpostoIPIPage.clicarOk();


        // !!! DESBLOQUEAR MAPA !!!

        ApuracaoImpostoIPIPage.clicarEmAcoes();
        ApuracaoImpostoIPIPage.clicarEmDesbloquear();
        ApuracaoImpostoIPIPage.clicarOk();


        // !!! EXCLUIR MAPA !!!

        ApuracaoImpostoIPIPage.clicarEmAcoes();
        ApuracaoImpostoIPIPage.clicarEmCancelar();
        ApuracaoImpostoIPIPage.clicarEmExcluir();
        ApuracaoImpostoIPIPage.clicarEmSim();
        ApuracaoImpostoIPIPage.clicarOk();

        // ---------------------------------

        // !!! ADICIONAR NOVO MAPA !!!

        ApuracaoImpostoIPIPage.clicarEmAdicionarNovoMapa();


        // !!! CRIANDO NOVO MAPA DE APURAÇÃO !!!

        ApuracaoImpostoIPIPage.preencherNomedomapa(nomedomapa);
        ApuracaoImpostoIPIPage.clicarsalvarMapa();


        // !!! APURAÇÃO DO NOVO MAPA !!!

        ApuracaoImpostoIPIPage.clicarEmMapaApuracao();
        ApuracaoImpostoIPIPage.clicarEmAcoes();
        ApuracaoImpostoIPIPage.clicarEmApurar();
        ApuracaoImpostoIPIPage.clicarOk();


        // !!! EXCLUIR NOVO MAPA !!!

        ApuracaoImpostoIPIPage.clicarEmExcluir();
        ApuracaoImpostoIPIPage.clicarEmSim();
        ApuracaoImpostoIPIPage.clicarOk();
    }
}
